Subject: Re: [RFC] changing gcc default output executable name (a.exe now)
From: Brendan J Simon <[email-masked]>
Cc: Mingw32 discussion list at eGroups <[email-masked]>, [email-masked]
Date: Thu, 13 Jan 2000 15:32:36 +1100

Mumit Khan wrote:

> Are people happy/ok with the fact that gcc on win32 produces a program
> called a.exe by default? For example,
>
>   $ gcc foo.c
>
> will create a.exe. This is of course not really expected on DOS/Windows
> world, and causes all sorts of confusion. Also, this is simply lame even
> on Unix, and this historical bit should've disappeared long ago, but
> won't since it's a convention now.
>
> I'd like to move to creating <name>.exe, where <name> is the first file
> on the list you provided to gcc.
>
>   $ gcc foo1.c foo2.c foo3.c
>
> will produce foo1.exe, not a.exe as it does now.
>
> Is this something we should change??

Yep.  I agree entirely.
An output of <name> or even <name>.exe would be justified on Unix boxes
also in my opinion.  I don't know why Unix people still insist on making
things harder and more cryptic then they have to be.  I think it's an ego
powertrip thing or something.

Brendan Simon.

--
Want to unsubscribe from this list?
Send a message to [email-masked]